Package net.sf.saxon.tree.tiny

## Class TinyBuilderCondensed

- java.lang.Object
- - net.sf.saxon.event.Builder
  - - net.sf.saxon.tree.tiny.TinyBuilder
    - - net.sf.saxon.tree.tiny.TinyBuilderCondensed

- All Implemented Interfaces:
    `javax.xml.transform.Result`, `Receiver`

      public class TinyBuilderCondensed
      extends TinyBuilder

  Variant of the TinyBuilder to create a tiny tree in which multiple text nodes or attribute nodes sharing the same string value economize on space by only holding the value once.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `IntHashMap<int[]>` | `textValues` |

    - ### Fields inherited from class net.sf.saxon.event.Builder

      `AXIOM_TREE, baseURI, config, currentRoot, DOMINO_TREE, JDOM_TREE, JDOM2_TREE, lineNumbering, LINKED_TREE, MUTABLE_LINKED_TREE, namePool, open, pipe, started, systemId, timing, TINY_TREE, TINY_TREE_CONDENSED, uniformBaseURI, UNSPECIFIED_TREE_MODEL, useEventLocation`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TinyBuilderCondensed​(PipelineConfiguration pipe)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endElement()` | Notify the end of an element node
    `protected java.lang.String` | `getAttValue​(AttributeInfo att)` | For attribute nodes, the commoning-up of stored values is achieved simply by calling intern() on the string value of the attribute.

    - ### Methods inherited from class net.sf.saxon.tree.tiny.TinyBuilder

      `characters, close, comment, endDocument, getBuilderMonitor, getCurrentDepth, getLastCompletedElement, getTree, makeTextNode, open, processingInstruction, reset, setStatistics, setUnparsedEntity, startDocument, startElement`

    - ### Methods inherited from class net.sf.saxon.event.Builder

      `getBaseURI, getConfiguration, getCurrentRoot, getPipelineConfiguration, getSystemId, isTiming, isUseEventLocation, setBaseURI, setLineNumbering, setPipelineConfiguration, setSystemId, setTiming, setUseEventLocation, usesTypeAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.event.Receiver

      `append, append, handlesAppend`

- - ### Field Detail

    - #### textValues

          public IntHashMap<int[]> textValues

  - ### Constructor Detail

    - #### TinyBuilderCondensed

          public TinyBuilderCondensed​(PipelineConfiguration pipe)

  - ### Method Detail

    - #### endElement

          public void endElement()
                          throws XPathException

      Description copied from class: `TinyBuilder`
      Notify the end of an element node
      Specified by:
        `endElement` in interface `Receiver`
      Overrides:
        `endElement` in class `TinyBuilder`
      Throws:
        `XPathException` - if an error occurs

    - #### getAttValue

          protected java.lang.String getAttValue​(AttributeInfo att)

      For attribute nodes, the commoning-up of stored values is achieved simply by calling intern() on the string value of the attribute.
      Overrides:
        `getAttValue` in class `TinyBuilder`